KCAPI_AEAD_SETTAGLEN(3)

NAME
kcapi_aead_settaglen - set authentication tag size

SYNOPSIS

int kcapi_aead_settaglen(struct kcapi_handle * handle, uint32_t taglen);

ARGUMENTS

handle
    [in] cipher handle

taglen
    [in] length of authentication tag

DESCRIPTION

Set the authentication tag size needed for encryption operation. The tag is created during encryption operation with the size provided with this call.

return 0 upon success; a negative errno-style error code if an error occurred

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT